# Wire drawdown request object

The wire drawdown object represents the current state of a single wire drawdown received by Column. Wire drawdowns are used to request a customer send a wire to a verified counterparty.

### Object Parameters

- `account_number_id` `string` — The Column account number id to which the wire drawdown request was made
- `amount` `number` — Amount (in cents) that will be transferred between originator and counterparty accounts if the wire drawdown is approved
- `approved_at` `date-time` — The timestamp at which the drawdown request was approved.
- `bank_account_id` `string` — Column bank account id to which the wire drawdown request was made
- `beneficiary_account_number` `string` — The external account number to which funds will be sent if the wire drawdown request is approved
- `beneficiary_counterparty_id` `string` — The counterparty ID, which Column automatically creates, to which funds will be sent if the wire drawdown request is approved
- `beneficiary_name` `string` — The beneficiary name to which funds will be sent if the wire drawdown request is approved
- `beneficiary_reference` `string` — Reference information for the beneficiary.
- `completed_at` `date-time` — The timestamp at which the drawdown request was completed.
- `currency_code` `string` — The three-letter currency code defined in ISO 4217. e.g. `USD`
- `description` `string` — Description of the drawdown request.
- `id` `string` — The unique id of the wire drawdown request object
- `imad` `string` — The IMAD included in the wire drawdown request. Stands for Input/Output Message Accountability Data. A unique number set by the originating bank given to each Fedwire payment when using the Federal Reserve Bank Service and can be used to investigate and track wire transfers. IMAD will not be populated for on-us wire transfers.
- `is_incoming` `boolean` — Indicates whether the wire drawdown request is incoming (`true`) or outgoing (`false`)
- `message_identifier` `string` — The message identifier supplied in the wire drawdown request. This is typically the same as the IMAD.
- `originator_account_number` `string` — The account number of the originator of the wire drawdown request. This is often different from the beneficiary account number.
- `originator_name` `string` — The name of the originator who sent the wire drawdown request. This is often different from the beneficiary name.
- `originator_to_beneficiary_information` `array of strings` — Free form text where the originator may supply some additional information describing the wire drawdown request
- `received_at` `date-time` — Date/time at which the wire drawdown request was received (UTC)
- `receiver_di_name` `string` — The name of the financial institution to which the wire drawdown request was sent
- `receiver_di_routing_number` `string` — The routing number of the financial institution to which the wire drawdown request was sent
- `rejected_at` `date-time` — The timestamp at which the drawdown request was rejected.
- `sender_di_name` `string` — The name of the financial institution that sent the wire drawdown request
- `sender_di_routing_number` `string` — The routing number of the financial institution that sent the wire drawdown request
- `sent_at` `date-time` — The timestamp at which the drawdown request was sent.
- `status` `string` — The status of the wire drawdown request. Possible statuses include `received`, `initiated`, `sent`, `approved`, `denied`, `completed`, and `rejected`
- `wire_transfer_id` `string` — The wire transfer ID of the outgoing wire transfer should a wire drawdown request be approved

**Response 200**

```json
{
  "account_number_id": "acno_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "amount": 10000,
  "approved_at": "2024-01-15T09:30:00Z",
  "bank_account_id": "bacc_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "beneficiary_account_number": "1234567890",
  "beneficiary_counterparty_id": "cpty_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "beneficiary_name": "Example beneficiary name",
  "beneficiary_reference": "REF-2024-001",
  "completed_at": "2024-01-15T09:30:00Z",
  "currency_code": "USD",
  "description": "Example description",
  "id": "wdrw_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "imad": "20240115MQFNF50H000001",
  "is_incoming": false,
  "message_identifier": "MSGID-2024-001",
  "originator_account_number": "1234567890",
  "originator_name": "Example originator name",
  "originator_to_beneficiary_information": [
    "Payment for invoice #1234"
  ],
  "received_at": "2024-01-15T09:30:00Z",
  "receiver_di_name": "Example receiver di name",
  "receiver_di_routing_number": "021000089",
  "rejected_at": "2024-01-15T09:30:00Z",
  "sender_di_name": "Example sender di name",
  "sender_di_routing_number": "021000089",
  "sent_at": "2024-01-15T09:30:00Z",
  "status": "pending",
  "wire_transfer_id": "wire_2Q1ctiJm1NypVqCt8UBC8e4xTfH"
}
```
